package org.gcube.portlets.admin.createusers.client.ui;

import com.google.gwt.core.client.GWT;
import com.google.gwt.resources.client.ResourcePrototype;

public class AddUserForm_AddUserFormUiBinderImpl_GenBundle_default_InlineClientBundleGenerator implements org.gcube.portlets.admin.createusers.client.ui.AddUserForm_AddUserFormUiBinderImpl_GenBundle {
  private static AddUserForm_AddUserFormUiBinderImpl_GenBundle_default_InlineClientBundleGenerator _instance0 = new AddUserForm_AddUserFormUiBinderImpl_GenBundle_default_InlineClientBundleGenerator();
  private void styleInitializer() {
    style = new org.gcube.portlets.admin.createusers.client.ui.AddUserForm_AddUserFormUiBinderImpl_GenCss_style() {
      private boolean injected;
      public boolean ensureInjected() {
        if (!injected) {
          injected = true;
          com.google.gwt.dom.client.StyleInjector.inject(getText());
          return true;
        }
        return false;
      }
      public String getName() {
        return "style";
      }
      public String getText() {
        return com.google.gwt.i18n.client.LocaleInfo.getCurrentLocale().isRTL() ? ((".GBK4L-TDKO{margin-right:" + ("10px")  + ";}.GBK4L-TDIO{border:" + ("1px"+ " " +"groove"+ " " +"#444")  + ";-webkit-box-shadow:" + ("0"+ " " +"0"+ " " +"0"+ " " +"0"+ " " +"#000")  + ";box-shadow:" + ("0"+ " " +"0"+ " " +"0"+ " " +"0"+ " " +"#000")  + ";padding:" + ("10px")  + ";}.GBK4L-TDMO{width:" + ("auto")  + ";padding:" + ("10px")  + ";margin-bottom:" + ("0")  + ";}.form-horizontal .control-label{margin-bottom:" + ("15px")  + ";text-align:" + ("right")  + ";}.form-horizontal .input-large{width:") + (("95%")  + ";margin-bottom:" + ("15px")  + ";}.GBK4L-TDGO{margin-top:" + ("10px")  + ";padding:" + ("10px")  + ";}")) : ((".GBK4L-TDKO{margin-left:" + ("10px")  + ";}.GBK4L-TDIO{border:" + ("1px"+ " " +"groove"+ " " +"#444")  + ";-webkit-box-shadow:" + ("0"+ " " +"0"+ " " +"0"+ " " +"0"+ " " +"#000")  + ";box-shadow:" + ("0"+ " " +"0"+ " " +"0"+ " " +"0"+ " " +"#000")  + ";padding:" + ("10px")  + ";}.GBK4L-TDMO{width:" + ("auto")  + ";padding:" + ("10px")  + ";margin-bottom:" + ("0")  + ";}.form-horizontal .control-label{margin-bottom:" + ("15px")  + ";text-align:" + ("left")  + ";}.form-horizontal .input-large{width:") + (("95%")  + ";margin-bottom:" + ("15px")  + ";}.GBK4L-TDGO{margin-top:" + ("10px")  + ";padding:" + ("10px")  + ";}"));
      }
      public java.lang.String blockAlertStyle() {
        return "GBK4L-TDGO";
      }
      public java.lang.String controlLabel() {
        return "control-label";
      }
      public java.lang.String fieldsetBorderStyle() {
        return "GBK4L-TDIO";
      }
      public java.lang.String formHorizontal() {
        return "form-horizontal";
      }
      public java.lang.String formMainStyle() {
        return "GBK4L-TDKO";
      }
      public java.lang.String inputLarge() {
        return "input-large";
      }
      public java.lang.String legendStyle() {
        return "GBK4L-TDMO";
      }
    }
    ;
  }
  private static class styleInitializer {
    static {
      _instance0.styleInitializer();
    }
    static org.gcube.portlets.admin.createusers.client.ui.AddUserForm_AddUserFormUiBinderImpl_GenCss_style get() {
      return style;
    }
  }
  public org.gcube.portlets.admin.createusers.client.ui.AddUserForm_AddUserFormUiBinderImpl_GenCss_style style() {
    return styleInitializer.get();
  }
  private static java.util.HashMap<java.lang.String, com.google.gwt.resources.client.ResourcePrototype> resourceMap;
  private static org.gcube.portlets.admin.createusers.client.ui.AddUserForm_AddUserFormUiBinderImpl_GenCss_style style;
  
  public ResourcePrototype[] getResources() {
    return new ResourcePrototype[] {
      style(), 
    };
  }
  public ResourcePrototype getResource(String name) {
    if (GWT.isScript()) {
      return getResourceNative(name);
    } else {
      if (resourceMap == null) {
        resourceMap = new java.util.HashMap<java.lang.String, com.google.gwt.resources.client.ResourcePrototype>();
        resourceMap.put("style", style());
      }
      return resourceMap.get(name);
    }
  }
  private native ResourcePrototype getResourceNative(String name) /*-{
    switch (name) {
      case 'style': return this.@org.gcube.portlets.admin.createusers.client.ui.AddUserForm_AddUserFormUiBinderImpl_GenBundle::style()();
    }
    return null;
  }-*/;
}
